:root,
.theme-light {
    color-scheme: light dark;
    --color-sunshade: light-dark(oklch(78.33% 0.164 64.92), oklch(33.49% 0.094 55.79));
    --color-zuccini: light-dark(oklch(37.67% 0.076 153.70), oklch(22.67% 0.069 153.70));
    --color-old_lace: light-dark(oklch(96.53% 0.022 87.15), oklch(51.53% 0.020 87.15));
    --color-selago: light-dark(oklch(93.99% 0.021 268.43), oklch(48.99% 0.019 268.43));
    --color-black: light-dark(oklch(0.00% 0.000 0.00), oklch(15.00% 0.000 0.00));
    --color-white: light-dark(oklch(1 0 0), oklch(1 0 0));
    --primary-text-color: light-dark(oklch(0.00% 0.000 0.00), oklch(1 0 0));
}

.theme-dark {
    --color-sunshade: oklch(33.49% 0.094 55.79);
    --color-zuccini: oklch(22.67% 0.069 153.70);
    --color-old_lace: oklch(51.53% 0.020 87.15);
    --color-selago: oklch(48.99% 0.019 268.43);
    --color-black: oklch(15.00% 0.000 0.00);
}


body {
    color: var(--primary-text-color);
    background-color: var(--color-selago);
    font-family: ui-monospace, 'Cascadia Code', 'Source Code Pro', Menlo, Consolas, 'DejaVu Sans Mono', monospace;
    line-height: 1.5;
    margin-top: 0;
    margin-bottom: 0;
    margin-left: auto;
    margin-right: auto;
    max-width: 768px;
}

a {
    color: #00e;
    text-decoration: none;
}

#directory-grid {
    width: 35rem;
}

#directory-list {
    width: 25rem;
}

dt {
    font-weight: bold;
}

footer {
    border-top: 1px solid #222;
    margin-top: 1rem;
}

header {
    border-bottom: 1px solid var(--color-black);
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    background-color: var(--color-sunshade);
}

header nav {
    display: flex;
    flex-direction: row;
}

header nav > div {
    margin: auto 0.5rem;
}

.left-right-padding {
    margin-left: auto;
    margin-right: auto;
}

table {
    background-color: var(--color-old_lace);
    border: 1px solid var(--color-zuccini);
    margin-left: auto;
    margin-right: auto;
}

table caption {
    background-color: var(--color-sunshade);
    border: 1px solid var(--color-zuccini);
}

.post {
    border: 1px solid var(--color-zuccini);
    border-radius: 1.0rem;
    padding: 0.5rem;
    margin-bottom: 0.5rem;
}

.post:nth-child(even) {
    background-color: var(--color-old_lace);
}

.post h2::before {
    content: "§ "
}

.post h2 {
    font-size: medium;
    text-align: center;
}

.post h3 {
    font-size: medium;
}

.entry_content {
    padding-left: 2rem;
    padding-right: 2rem;
}

.entry_keywords {
    list-style: none;
    padding-left: 0;
}

ul.entry_keywords > li {
    display: inline;
    padding-right: 1.0rem;
}
